Get all merchant webhooks
curl --request GET \
--url https://api.atoa.me/api/webhook/merchant \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atoa.me/api/webhook/merchant"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atoa.me/api/webhook/merchant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"webhookId": "4a124f25-fe8d-47a0-92c8-16d94cbfe24c",
"url": "https://api/endpoint",
"event": "PAYMENTS_STATUS"
},
{
"webhookId": "8b3f6a12-cd45-4e89-ab12-7d9e3f1c5a08",
"url": "https://api/endpoint",
"event": "POS_PAYMENT_STATUS"
}
]
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
Legacy Endpoints
Get all merchant webhooks
Retrieve all merchant webhooks via the Atoa Webhooks API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
GET
/
api
/
webhook
/
merchant
Get all merchant webhooks
v1 Legacy API — Returns a flat list with one entry per event subscription. For new integrations, use List Endpoints (v2) which returns paginated endpoint objects with all subscribed events grouped per endpoint.
Authorization
Bearer<token>
Response
array
[
{
"webhookId": "4a124f25-fe8d-47a0-92c8-16d94cbfe24c",
"url": "https://api/endpoint",
"event": "PAYMENTS_STATUS"
},
{
"webhookId": "8b3f6a12-cd45-4e89-ab12-7d9e3f1c5a08",
"url": "https://api/endpoint",
"event": "POS_PAYMENT_STATUS"
}
]
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
⌘I